ProjectHelper2.MainHandler (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.helper, class: ProjectHelper2, class: MainHandler

# Class ProjectHelper2.MainHandler

java.lang.Object
org.apache.tools.ant.helper.ProjectHelper2.AntHandler
org.apache.tools.ant.helper.ProjectHelper2.MainHandler

Enclosing class:
  `ProjectHelper2`

public static class ProjectHelper2.MainHandler extends ProjectHelper2.AntHandler
The main handler - it handles the <project> tag.

See Also:
  - `ProjectHelper2.AntHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MainHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectHelper2.AntHandler`
  `onStartChild(String uri, String name, String qname, Attributes attrs, AntXMLContext context)`
  Handle the project tag

  ### Methods inherited from class ProjectHelper2.AntHandler

  `characters, checkNamespace, onEndChild, onEndElement, onStartElement`
  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] buf, int start, int count, AntXMLContext context)`
  Handles text within an element.
  `protected void`
  `checkNamespace(String uri)`
  Will be called every time a namespace is reached.
  `void`
  `onEndChild(String uri, String tag, String qname, AntXMLContext context)`
  Handle the end of a element.
  `void`
  `onEndElement(String uri, String tag, AntXMLContext context)`
  This method is called when this element and all elements nested into it have been handled.
  `void`
  `onStartElement(String uri, String tag, String qname, Attributes attrs, AntXMLContext context)`
  Handles the start of an element.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MainHandler

    public MainHandler()

- ## Method Details

  - ### onStartChild

    public ProjectHelper2.AntHandler onStartChild(String uri, String name, String qname, Attributes attrs, AntXMLContext context) throws SAXParseException
    Handle the project tag
    Overrides:
      `onStartChild` in class `ProjectHelper2.AntHandler`
    Parameters:
      `uri` - The namespace uri.
      `name` - The element tag.
      `qname` - The element qualified name.
      `attrs` - The attributes of the element.
      `context` - The current context.
    Returns:
      The project handler that handles subelements of project
    Throws:
      `SAXParseException` - if the qualified name is not "project".